Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class NOTATIONDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.NOTATIONDatatypeValidator

public class NOTATIONDatatypeValidator
extends AbstractDatatypeValidator

NOTATIONValidator defines the interface that data type validators must obey. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: NOTATIONDatatypeValidator.java,v 1.3 2000/06/23 01:26:29 jeffreyr Exp $
Author:
  Jeffrey Rodriguez-
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`NOTATIONDatatypeValidator()`
`NOTATIONDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` REVISIT Compares two Datatype for order
`java.util.Hashtable` | `getFacets()`
`void` | `setLocale(java.util.Locale locale)` set the locate to be used for error messages
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NOTATIONDatatypeValidator

    public NOTATIONDatatypeValidator()
                              throws InvalidDatatypeFacetException

### NOTATIONDatatypeValidator

    public NOTATIONDatatypeValidator(DatatypeValidator base,
                                     java.util.Hashtable facets,
                                     boolean derivedByList)
                              throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.

  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator
  See Also:
    `InvalidDatatypeValueException`

### getFacets

    public java.util.Hashtable getFacets()

  Overrides:
    getFacets in class AbstractDatatypeValidator

### setLocale

    public void setLocale(java.util.Locale locale)

  set the locate to be used for error messages

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  REVISIT Compares two Datatype for order

  Parameters:
    `o1` -
    `o2` -
  Returns:
  Overrides:
    compare in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD